Was versteht man unter einer CSRF (Cross Site Request Forgery) Attack und wie kann sie verhindert werden. Helfen dieses Gegenmaßnahmen auch bei unverschlüsselte Verbindungen?
---
Hier sendet der Angreifer einen präparierten Link an das Opfer, wobei im URL etwaige Aktionen "versteckt" sind, ein Link könnte beispielsweise so aussehen: `https://example.com/changePW.php?newPW=h4h4Hacked`

Somit wäre das Passwort geändert und der Account "gehackt".

Es gibt zwei Arten von Gegenmaßnahmen:
---
Secret Token zwischen Client und Server der bei jeder URL mitgeschickt und verifziert wird

-> Bei unverschlüsselter Verbindung kann Angreifer diesen einfach mitlesen, womit diese Gegenmaßnahme nur bei verschlüsselten Verbindungen Sinn macht
---
Bestätigungen via Dialogfenster

Stattdessen das einfach das Passwort geändert wird wie im Beispiel davor, könnte ein Dialogfenster aufpoppen in welchem steht "Wollen Sie wirklich Ihr Passwort ändern"? Die meisten würden dann nein drücken, womit die Attacke sinnlos wäre.

-> Diese Gegenmaßnahme ist natürlich keine Garantie aber funktioniert auch bei unverschlüsselten Verbindungen.