Was ist eine Fail-Safe Konfiguration einer Firewall und warum?
---
Eine Fail-Safe Konfiguration garantiert, dass wenn die Firewall crasht oder sonst nicht funktionsfähig ist, gar kein Traffic durchgeht anstatt jeder Traffic. Hierbei ist die Analogie zu einem Aufzug herzustellen: Wenn dieser ein Problem in der Elektronik oder sonst wo hat, wird er sofort gestoppt und greift sofort auf den Sicherungskabeln fest und bewegt sich nicht von der Stelle. Dieser Art des Designs ist Fail-Safe, da er sicherlich nicht herunterkrachen wird.

Weiters ist hier Bezug zu verschiedene Sichtweisen zu sehen, es gibt `default deny stance` und `default permit stance`, wobei die default deny stance davon ausgeht, grundsätzlich alles zu blocken bis auf Ausnahmen, und die default permit stance alles erlaubt bis auf Ausnahmen. Aus einer sicherheitstechnischen Sicht ist natürlich die default dency stance sicherer, diese ist allerdings sehr restriktiv und es handelt sich hierbei immer um einen trade-off von usability und security, schließlich ist ein sicheres System dass nicht verwendet werden kann auch sinnlos.