Was ist ein Secure Code Review und wie könnte dieser vereinfacht werden?
---
Code wird manuell durchgegangen, ist sehr effektiv aber auch teuer. Die Kosten können dramatisch gesenkt werden wenn Code einfach ist bzw. Coding-Standards und Best-Practices umgesetzt werden.

Gibt 4 verschiedene Ansätze:
---
Top-Down

Meist durch Projekt-Externen Sicherheits-Experte der sich sehr gut mit Sicherheit auskennt, aber nicht mit der Code-Base.
---
Bottom-Down

Meist durch Projekt-Internen Entwickler/Tester der nur mit aktuellen Sicherheitswissen versucht kritische Stellen zu identifiezieren
---
Walkthrough
---
Hierbei wird gänzlich auf Code verzichtet und nur "imaginär", also am Papier, die Informationsflüsse analysiert und "getestet"
---
Inspection
---
Überprüfung von Code-Abschnitten mittels Checklisten und Coding Standards