Wie funktioniert Ver- und Entschlüsselung mit asymmetrischer Verschlüsselung?
---
Client und Server besitzen ein Public/Private Key-Pair.

Asymmetrische Verschlüsselung basiert auf der Idee, dass Inhalt der mit dem öffentlichen Schlüssel verschlüsselt wurde, nur mit dem privaten Schlüssel entschlüsselt werden kann, und Inhalt der mit dem privaten Schlüssel verschlüsselt wurde, nur mit dem zugehörigen öffentlichen Schlüssel entschlüsselt werden kann.

Aus dieser Idee, kann Vertraulichkeit abgeleitet werden, indem der Client den Public Key vom Server nimmt und damit Inhalt verschlüsselt, somit nur der Server diesen Inhalt sehen kann, da dieser der Einzige ist mit Besitz des zugehörigen Private Key. Integrität und Authentizität sind in diesem Fall noch nicht gegeben. 

Weiters kann man aber auch Authentizität ableiten, wenn der Server beweisen will, dass er wirklich der Server ist, kann er Inhalt mit seinem Private Key verschlüsseln, und jeder der diesen Inhalt entschlüsseln kann mit dem zugehörigen Public Key, weiß nun dass diese Nachricht vom Server gekommen sein muss, schließlich hat sonst keiner Zugriff auf den Private Key, so dass der Inhalt mit dem Public Key entschlüsselt werden konnte. Offensichtlicherweise ist hier allerdings nicht Vertraulichkeit gewährleistet, schließlich kann jeder diese Nachricht entschlüsseln.