Best Practice: 8 Design Prinzipien
---
Einfachheit der Schutzmaßnahmen
---
Komplexität bedeutet Fehleranfälligkeit, Aufteilen eines Systems in kleinere leichter testbare Teile, Sicherheitsmaßnahmen einfach und überschaubar, damit Fehler gut erkennt werden
---
Fail Safe Defaults
---
Ein System soll standardmäßig im sicheren Zustand sein, damit im Fehlerfall darauf zurückgegriffen werden kann, beispielsweise standardmäßig Zugriffe ablehnen
---
Vollständige Berechtigungsprüfung
---
Prüfung sämtlicher zugriffe und auf invalide Zugriffe enstprechend reagieren
---
Offenes Design
---
Sicherheit darf nicht auf der Geheimhaltung des Designs oder der Implementierung beruhen
-> No Security by Obscurity
---
4 Augen Prinzip
---
Informationen / Aktivitäten sollen durch mehrere Parteien geschützt sein, Bsp: Mehrere Schlüssel
---
Least Privilege
---
Benuzer sollen nur die erforderlichen Rechte besitzen um Risiken zu minimieren
---
Minimum an gemeinsamen Mechanismen
---
Komponenten sollen unabhängig voneinander agieren können -> keine gemeinsamen Dateien, Variablen, Speicher, etc.
---
Psychologische Akzeptanz
---
Personen die die Sichermechanismen anwenden müssen auch von ihnen akzeptieren werden -> Soll angenehm benutzerbar sein (UI, Attraktiv, ...)