Was sind Zertifikate im Kontext von PKI und was ist der Unterschied zum Web of Trust?
---
PKI ist ein zentralisierter Ansatz um das Problem zu lösen, dass man nicht weiß ob der Kommunikationspartner tatsächlich die Person ist mit der man reden möchte, oder sich nur als diese ausgibt -> Authentizität. Das Problem tritt auf, da im Zuge der asymmetrischen Verschlüsselung, die öffentlichen Schlüssel für jeden öffentlich zugänglich sind, und dadurch sich jeder theoretisch als jeden ausgeben könnte.

Zertifikate sind Zuordnungen von Public/Private Key-Pairs zu einer Identität, dies ist der Haupt-Ansatz um das Authentizitäts-Problem zu lösen. Doch wer sagt, dass dieses Zertifikat “richtig” ist? Im Kontext von PKI, gibt es eine zentrale CA (Certificate Authority) die bestimmt welchen Zertifikaten vertraut werden kann, hierbei kann eher ein militärischer-Stil als Inspiration betrachtet werden. Im Web of Trust gibt es nicht eine Zentrale einheit die Zertifikaten vertraut, sondern jeder Teilnehmer des Web Of Trusts ist eine CA, und vertraut bestimmten Zertifikaten. Dadurch wird ein komplexes Netz gespannt, welches eine “recht gute” Vertrauensstellung bietet, ohne einer zentraler Einheit.